- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_read_prefs_t

# mongoc_read_prefs_new()

## Synopsis

    mongoc_read_prefs_t *
    mongoc_read_prefs_new (mongoc_read_mode_t read_mode);

## Parameters

- `read_mode`: A mongoc_read_mode_t.

## Description

Creates a new mongoc_read_prefs_t using the mode specified.

## Returns

Returns a newly allocated mongoc_read_prefs_t that should be freed with mongoc_read_prefs_destroy().

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.